/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {SubContractorFieldResponse} from "./subContractorFieldResponse";

export class SubContractorPrincipalResponse {
    public name: string;

    public id: string;

    public logo: string;

    public color: string;

    public meta: { [s: string]: string[] };

    public fields: SubContractorFieldResponse;

    /**
     * Creates a SubContractorPrincipalResponse.
     *
     * @param {string} name
     * @param {string} id
     * @param {string} logo
     * @param {string} color
     * @param {object} meta
     * @param {SubContractorFieldResponse} fields
     */
    constructor(name: string, id: string, logo: string, color: string, meta: { [s: string]: string[] }, fields: SubContractorFieldResponse) {
        this.name = name;
        this.id = id;
        this.logo = logo;
        this.color = color;
        this.meta = meta;
        this.fields = fields;
    }
}
